import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:flutter/material.dart';

UikIconProps $UikIconPropsFromJson(Map<String, dynamic> json) {
  final UikIconProps uikButtonProps = UikIconProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikButtonProps.id = id;
  }
  final String? iconVal = jsonConvert.convert<String>(json['iconVal']);
  final String? fontFamily = jsonConvert.convert<String>(json['fontFamily']);
  if (iconVal != null) {
    uikButtonProps.iconVal =
        IconData(int.parse(iconVal), fontFamily: 'MaterialIcons');
  }
  final double? wid = jsonConvert.convert<double>(json['wid']);
  if (wid != null) {
    uikButtonProps.wid = wid;
  }
  final double? iconSize = jsonConvert.convert<double>(json['iconSize']);

  if (iconSize != null) {
    uikButtonProps.iconSize = iconSize;
  }
  final double? padding = jsonConvert.convert<double>(json['padding']);

  if (padding != null) {
    uikButtonProps.padding = padding;
  }
  final double? rad = jsonConvert.convert<double>(json['rad']);
  if (rad != null) {
    uikButtonProps.rad = rad;
  }
  final String? iconColor = jsonConvert.convert<String>(json['iconColor']);
  if (iconColor != null) {
    uikButtonProps.iconColor = Color(int.parse(iconColor));
  }
  // final String? iconVal = jsonConvert.convert<String>(json['iconVal']);
  // if (iconVal != null) {
  //   uikButtonProps.iconVal =
  //       IconData(int.parse(iconVal), fontFamily: 'MaterialIcons');
  // }
  final String? backgroundColor =
      jsonConvert.convert<String>(json['backgroundColor']);
  if (backgroundColor != null) {
    uikButtonProps.backgroundColor = Color(int.parse(backgroundColor));
  }
  final String? borderColor = jsonConvert.convert<String>(json['borderColor']);
  if (borderColor != null) {
    uikButtonProps.borderColor = Color(int.parse(borderColor));
  }

  final String? text = jsonConvert.convert<String>(json['src']);
  if (text != null) {
    uikButtonProps.src = text;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikButtonProps.action = action;
  }
  return uikButtonProps;
}

Map<String, dynamic> $UikIconPropsToJson(UikIconProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['src'] = entity.src;
  data['action'] = entity.action.toJson();
  return data;
}
