import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikImageProps.dart';
import 'package:flutter/material.dart';

UikImageProps $UikImagePropsFromJson(Map<String, dynamic> json) {
  final UikImageProps uikButtonProps = UikImageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikButtonProps.id = id;
  }
  final String? src = jsonConvert.convert<String>(json['src']);
  if (src != null) {
    uikButtonProps.src = src;
  }
  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikButtonProps.height = height;
  }
  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikButtonProps.width = width;
  }
  final double? rad = jsonConvert.convert<double>(json['rad']);
  if (rad != null) {
    uikButtonProps.rad = rad;
  }
  final String? iFit = jsonConvert.convert<String>(json['iFit']);
  if (iFit != null) {
    uikButtonProps.iFit = BoxFit.values.firstWhere((e) => e.toString() == iFit);
  }
  final dynamic? opacity = jsonConvert.convert<dynamic>(json['opacity']);
  if (opacity != null) {
    uikButtonProps.opacity = opacity;
  }
  final String? borderColor = jsonConvert.convert<String>(json['borderColor']);
  if (borderColor != null) {
    uikButtonProps.borderColor = Color(int.parse(borderColor));
  }
  final double? wid = jsonConvert.convert<double>(json['wid']);
  if (wid != null) {
    uikButtonProps.wid = wid;
  }
  final bool? isCenter = jsonConvert.convert<bool>(json['isCenter']);
  if (isCenter != null) {
    uikButtonProps.isCenter = isCenter;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikButtonProps.action = action;
  }
  return uikButtonProps;
}

Map<String, dynamic> $UikImagePropsToJson(UikImageProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['src'] = entity.src;
  data['action'] = entity.action.toJson();
  return data;
}
