import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/components/UikUploadPhoto.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikAvatar.dart';
import '../../components/UikImage.dart';
import '../../components/UikStackedImage.dart';
import '../../components/UikText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikAvatarProps.dart';
import '../../props/UikImageProps.dart';
import '../../props/UikNoInternetProps.dart';
import '../../props/UikStackedImageProps.dart';
import '../../props/UikTextProps.dart';
import '../../props/UikUploadPhotoProps.dart';

UikNoInternetProps $UikNoInternetPropsFromJson(Map<String, dynamic> json) {
  final UikNoInternetProps uikNoInternetProps = UikNoInternetProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikNoInternetProps.id = id;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikNoInternetProps.action = action;
  }

  return uikNoInternetProps;
}

Map<String, dynamic> $UikNoInternetPropsToJson(UikNoInternetProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['action'] = entity.action.toJson();
  return data;
}
