// import 'package:digia_vdl/generated/json/base/json_convert_content.dart';
// import 'package:digia_vdl/props/UikAction.dart';
// import 'package:digia_vdl/props/UikButtonProps.dart';
// import 'package:digia_vdl/props/UikOrderAgainProductProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikIcon.dart';
import '../../components/WidgetType.dart';
import '../../props/UikAction.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikOrderAgainProductProps.dart';
import 'base/json_convert_content.dart';

UikOrderAgainProductProps $UikOrderAgainProductPropsFromJson(
    Map<String, dynamic> json) {
  final UikOrderAgainProductProps uikOrderAgainProductProps =
      UikOrderAgainProductProps();

  final String? starIcon = jsonConvert.convert<String>(json['starIcon']);
  if (starIcon != null) {
    uikOrderAgainProductProps.starIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['starIcon']));
  }

  final String? itemDes = jsonConvert.convert<String>(json['itemDes']);
  if (itemDes != null) {
    uikOrderAgainProductProps.itemDes = itemDes;
  }

  final String? imgUrl = jsonConvert.convert<String>(json['imgUrl']);
  if (imgUrl != null) {
    uikOrderAgainProductProps.imgUrl = imgUrl;
  }

  final double? itemPrice = jsonConvert.convert<double>(json['itemPrice']);
  if (itemPrice != null) {
    uikOrderAgainProductProps.itemPrice = itemPrice;
  }

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikOrderAgainProductProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikOrderAgainProductProps.text = text;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikOrderAgainProductProps.action = action;
  }
  return uikOrderAgainProductProps;
}

Map<String, dynamic> $UikOrderAgainProductPropsToJson(
    UikOrderAgainProductProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['text'] = entity.text;
  data['action'] = entity.action.toJson();
  return data;
}
