import 'package:flutter/material.dart';
import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_listTiles_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikListTilesProps extends WidgetProps {
  late String id;
  late UikAction action;
  // late Widget leadingIcon;
  // late Widget centerText;
  // late Widget rightElement;
  late double sideMargin = 0.0;
  late double bottomMargin = 0.0;
  late double topMargin = 0.0;
  late Widget? leadingText;
  late Widget? trailingText;

  UikListTilesProps();

  factory UikListTilesProps.fromJson(Map<String, dynamic> json) =>
      $UikListTilesPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikListTilesPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
